it.reply.healty.innovapuglia.mstaccuino.database.repository

## Interface NoteTaccuinoRepository

- All Superinterfaces:
    org.springframework.data.repository.CrudRepository<NotaTaccuino,String>, org.springframework.data.jpa.repository.JpaRepository<NotaTaccuino,String>, org.springframework.data.repository.PagingAndSortingRepository<NotaTaccuino,String>, org.springframework.data.repository.query.QueryByExampleExecutor<NotaTaccuino>, org.springframework.data.repository.Repository<NotaTaccuino,String>

      @Repository
      public interface NoteTaccuinoRepository
      extends org.springframework.data.jpa.repository.JpaRepository<NotaTaccuino,String>

  Repository per la gestione delle operazioni CRUD su NoteTaccuino.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<NotaTaccuino>` | `findAllActiveByIdPaziente(String idPaziente)` Recupera tutte le note attive associate a un determinato codice fiscale.
    `NotaTaccuino` | `findOneActiveById(String id)` Recupera una nota attiva identificata dal suo ID.

    - ### Methods inherited from interface org.springframework.data.jpa.repository.JpaRepository

      `deleteAllByIdInBatch, deleteAllInBatch, deleteAllInBatch, deleteInBatch, findAll, findAll, findAll, findAll, findAllById, flush, getById, getOne, getReferenceById, saveAll, saveAllAndFlush, saveAndFlush`

    - ### Methods inherited from interface org.springframework.data.repository.PagingAndSortingRepository

      `findAll`

    - ### Methods inherited from interface org.springframework.data.repository.CrudRepository

      `count, delete, deleteAll, deleteAll, deleteAllById, deleteById, existsById, findById, save`

    - ### Methods inherited from interface org.springframework.data.repository.query.QueryByExampleExecutor

      `count, exists, findAll, findBy, findOne`

- - ### Method Detail

    - #### findOneActiveById

          @Query(value="FROM NotaTaccuino n WHERE n.id = :id AND n.attivo = true")
          NotaTaccuino findOneActiveById(@Param(value="id")
                                                                                                                   String id)

      Recupera una nota attiva identificata dal suo ID.
      Parameters:
        `id` - ID della nota da recuperare.
      Returns:
        Nota attiva, o null se non trovata.

    - #### findAllActiveByIdPaziente

          @Query(value="SELECT n FROM NotaTaccuino n WHERE n.paziente.id = :idPaziente AND n.attivo = true")
          List<NotaTaccuino> findAllActiveByIdPaziente(@Param(value="idPaziente")
                                                                                                                                                           String idPaziente)

      Recupera tutte le note attive associate a un determinato codice fiscale.
      Parameters:
        `idPaziente` - ID della persona.
      Returns:
        Lista di note attive associate al codice fiscale specificato.

Copyright © 2024. All rights reserved.